seo:
  title: Understand incident management with GitLab
  description: >-
    GitLab Incident Management helps your response teams focus on the problem
    and shorten the mean time to repair rather than waste time on the process
    itself.
  ogTitle: Understand incident management with GitLab
  ogDescription: >-
    GitLab Incident Management helps your response teams focus on the problem
    and shorten the mean time to repair rather than waste time on the process
    itself.
  noIndex: false
  ogImage: images/blog/hero-images/incident-management-blog-cover.jpg
  ogUrl: https://about.gitlab.com/blog/incident-management-with-gitlab
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/incident-management-with-gitlab
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Understand incident management with GitLab",
            "author": [{"@type":"Person","name":"Sarah Waldner"}],
            "datePublished": "2020-04-03",
          }

content:
  title: Understand incident management with GitLab
  description: >-
    GitLab Incident Management helps your response teams focus on the problem
    and shorten the mean time to repair rather than waste time on the process
    itself.
  authors:
    - Sarah Waldner
  heroImage: images/blog/hero-images/incident-management-blog-cover.jpg
  date: '2020-04-03'
  body: >


    Managing incidents can be stressful! While you’re busy trying to restore
    service for your customers, you are also likely juggling several competing
    priorities: digging through multiple tools to understand the problem,
    communicating with stakeholders, and updating tickets in different systems.
    Did you know that you can use GitLab to help manage the chaos?


    GitLab Incident Management, which recently became a [viable
    category](/direction/maturity/), aims to decrease the overhead of managing
    an incident so response teams can spend more time actually resolving
    problems. We do this by enabling teams to quickly gather the resources in
    one central, aggregated view. We facilitate communication and enable teams
    to have dialogs that can be captured all in the same tool they already use
    to collaborate on development. Ultimately, GitLab Incident Management can
    help response teams to shorten
    [MTTR](https://en.wikipedia.org/wiki/Mean_time_to_repair).


    ## Why Incident Management within GitLab?


    GitLab is a complete [DevOps platform](/topics/devops/), delivered as a
    [single application](/handbook/product/single-application/). As such, we
    believe there are additional benefits for DevOps users to manage incidents
    within GitLab.


    1. Co-location of code, CI/CD, monitoring tools, and incidents reduces
    context switching and enables GitLab to correlate what would be disparate
    events or processes within one single control pane.

    1. The same interface for collaboration for development and incident
    response streamlines the process. The developers who are on call can use the
    same interface that they already use every day; this prevents the incident
    responders from having to use a tool that they are unfamiliar with and thus
    hampering their ability to respond to the incident.


    ## GitLab Incident Management Capabilities


    Available today, GitLab Incident Management includes the following
    highlighted capabilities:

    * [Incident
    issues](https://docs.gitlab.com/ee/operations/incident_management/index.html#configuring-incidents)
    as the one place to capture all data and information related to the
    incident.

    * [Integration with
    Slack](https://docs.gitlab.com/ee/user/project/integrations/gitlab_slack_application.html#gitlab-slack-application-free-only)
    to facilitate intuitive team communication

    * [Link Zoom calls to GitLab
    issues](https://docs.gitlab.com/ee/operations/incident_management/index.html#zoom-in-issues)
    to facilitate synchronous communication

    * [Embed GitLab-managed Kubernetes
    metrics](https://docs.gitlab.com/ee/operations/incident_management/index.html#gitlab-hosted-metrics)
    directly within the GitLab Incident Issue

    * [Embed generic Grafana
    metrics](https://docs.gitlab.com/ee/operations/incident_management/index.html#grafana-metrics)
    directly within the GitLab Incident Issue

    * [The GitLab alerts
    endpoint](https://docs.gitlab.com/ee/operations/incident_management/index.html#alert-endpoint)
    can accept alerts from any source via a generic webhook receiver

    * Prometheus Recovery alerts can [automatically close
    issues](https://docs.gitlab.com/ee/user/project/integrations/prometheus.html#taking-action-on-incidents)
    that were created when you receive notification that the alert is resolved.


    ## How to use GitLab Incident Management


    There are numerous entry points to a potential incident. As an incident
    responder, once you are aware of an ongoing incident, you can manually
    create an incident issue by simply tagging the issue with the `incident`
    label.


    Alternatively, you can also configure GitLab to automatically create
    incidents based on alerts from your monitoring tool. When an alert is posted
    to the GitLab [Alerts
    endpoint](https://docs.gitlab.com/ee/operations/incident_management/integrations.html),
    GitLab can create incidents using an [issue
    template](https://docs.gitlab.com/ee/user/project/description_templates.html),
    populating important information useful to the incident response team.


    The incident issue template can be customized using [quick
    actions](https://docs.gitlab.com/ee/user/project/description_templates.html)
    to label, mention team members, or assign to specific people automatically.
    Doing so will help create incidents that have a consistent baseline set of
    information to help jumpstart the incident response.


    As more details for the ongoing incident emerge, you can directly embed
    GitLab-managed Kubernetes cluster metrics and application metrics in the
    incident. You can also embed other Grafana metrics in the incident if this
    is a critical tool for your team. Sharing up to date information in a
    central location will help facilitate understanding and enable the incident
    response team to move forward armed with the latest information. Having
    embedded charts can also enable more effective retrospectives by having
    relevant information within the same view.


    As the firefight progresses, the incident response team is encouraged to add
    timeline events, updates, questions, and answers to the incident. These
    interactions help create an audit trail and enable shared understanding
    across the team.


    At the end, an incident can be automatically closed once GitLab receives a
    recovery alert via the enabled Prometheus recovery alert integration. As the
    team reconvenes to determine actionable next steps, it  can leverage the
    completed incident ticket to find improvement areas instead of relying on a
    separate tool. Furthermore, a team can directly create and link action items
    to the incident issue in the form of related issues and merge requests to
    improve the resiliency of the system.


    ## Next Steps


    Get started by visiting the [Incident Management documentation
    page](https://docs.gitlab.com/ee/operations/incident_management/index.html)
    and create an issue template. Adopt a new process or amend the existing
    process for incident management to take advantage of the capabilities within
    GitLab.


    Incident Management is a [focus area](/direction/maturity/#monitor) for
    GitLab in 2020. We plan to continue iterating and improving this category.
    We’d love your help in prioritizing work on the most valuable improvements
    to the incident management solution. Keep an eye on [Incident Management
    Issues](https://gitlab.com/groups/gitlab-org/-/epics/349) and upvote or
    share your experiences in relevant issues.


    To report a bug or request a feature or enhancement, follow these steps:


    * Open an issue in the [GitLab
    project](https://gitlab.com/gitlab-org/gitlab/issues).

    * Describe the feature enhancement and, if possible, include examples.

    * Add these labels to the issue: Category:Incident Management,
    devops::monitor, group::health

    * Tag @abellucci on the issue.


    Cover image by [Tine Ivanic](https://unsplash.com/photos/u2d0BPZFXOY) on
    [Unsplash](https://www.unsplash.com)

    {: .note}
  category: Insights
  tags:
    - DevOps
    - features
config:
  slug: incident-management-with-gitlab
  featured: false
  template: BlogPost
